package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATASOURCE_SCHEMA"
)
public class TCoreDatasourceSchema extends TBaseEntity {
   private String osdsid;
   private String schemaid;
   private String schemaname;
   private String projectid;
   private String dbtype;

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getOsdsid() {
      return this.osdsid;
   }

   public void setOsdsid(String osdsid) {
      this.osdsid = osdsid;
   }

   public String getSchemaid() {
      return this.schemaid;
   }

   public void setSchemaid(String schemaid) {
      this.schemaid = schemaid;
   }

   public String getSchemaname() {
      return this.schemaname;
   }

   public void setSchemaname(String schemaname) {
      this.schemaname = schemaname;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }
}
